package com.kingdee.eas.gyt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GetJobFacadeFactory
{
    private GetJobFacadeFactory()
    {
    }
    public static com.kingdee.eas.gyt.IGetJobFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.gyt.IGetJobFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6285EA12") ,com.kingdee.eas.gyt.IGetJobFacade.class);
    }
    
    public static com.kingdee.eas.gyt.IGetJobFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.gyt.IGetJobFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6285EA12") ,com.kingdee.eas.gyt.IGetJobFacade.class, objectCtx);
    }
    public static com.kingdee.eas.gyt.IGetJobFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.gyt.IGetJobFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6285EA12"));
    }
    public static com.kingdee.eas.gyt.IGetJobFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.gyt.IGetJobFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6285EA12"));
    }
}